// https://vitejs.dev/config/#build-polyfillmodulepreload
import "vite/modulepreload-polyfill";

// Vue
import { createApp } from "vue";

// if importing all is too much you can always do it manually
import GamuTable from "./components/gamuTable.vue";
import VuePapaParse from "vue-papa-parse";
const components = {
	GamuTable,
};

// instantiate the Vue apps
// Note our lookup is a wrapping div with .vue-app class

for (const el of document.getElementsByClassName("vue-gamutable")) {
	let app = createApp({
		template: el.innerHTML,
		components,
	});
	app.use(VuePapaParse);
	app.provide("$papa", app.config.globalProperties.$papa);
	app.mount(el);
}
